@article{fotheringh61,
    author = "{John Fotheringham}",
    title = {Dynamic storage allocation in the Atlas computer, including an automatic use of a backing store},
    journal = {Communications of the ACM},
    volume = {4},
    issue = {10},
    year = {1961},
    url = {https://www.andrew.cmu.edu/course/15-440/assets/READINGS/fotheringham1961.pdf},
}
@book{os:tannenbaum,
    author = "{Andrew S. Tanenbaum and Albert S. Woodhull}",
    title = {Operating systems - design and implementation, 4rd Edition},
    publisher = {Pearson Education},
    year = {2015},
    isbn = {978-0-13-359222-1}
}

@online{ieee:posix,
    author = "{IEEE and The Open Group}",
    title = {The Open Group Base Specifications Issue 7, 2018 edition},
    url = "https://pubs.opengroup.org/onlinepubs/9699919799.2018edition/",
    year = "2001--2018"
}

@online{syscalls:posix,
    author = "{IEEE and The Open Group}",
    title = {System Interfaces: Detailed ToC},
    url = "https://pubs.opengroup.org/onlinepubs/9699919799/functions/contents.html",
    year = "2001--2018"
}

@online{minix,
    author = "{Lucid Software Inc.}",
    title = {MINIX 3 is a free, open-source, operating system},
    url = "http://www.minix3.org/",
    year = "2018"
}

@online{minix:source,
    author = "{MINIX Research Foundation}",
    title = {MINIX 3 Quellcode},
    url = "https://github.com/Stichting-MINIX-Research-Foundation",
    year = "2018"
}
@online{c:grundkurs,
    author = "{Bernhard Grotz}",
    title = {Grundkurs C},
    url = {https://www.grund-wissen.de/informatik/c},
    year = "2021"
}

@book{lions,
    title = {Lions' Commentary on UNIX 6th Edition with Source Code},
    author = {Lions, J.},
    isbn = {978-1-57-398013-5},
    lccn = {55015401},
    series = {Computer classics revisited},
    url = {https://warsus.github.io/lions-/},
    year = {1996},
    publisher = {Peer-to-Peer Communications}
}

@online{elektroniktutor,
    author = "{Detlef Mietke}",
    title  = {Elektroniktutor},
    note = {Dies ist das persönliche, studienbegleitende Projekt von Detlef Mietkel
        mit vielen ergänzenden Informationen},
    year = {2002--2021},
    url  = "https://www.elektroniktutor.de/",
}

@book{zsh,
    title = {From Bash to Z Shell---Conquering the Command Line},
    author = "{Oliver Kiddle, Jerry Peek, and Peter Stephenson}",
    isbn = {1-59059-376-6},
    url = {https://www.bash2zsh.com/},
    year = {2005},
    publisher = {Apress}
}
